<?php

/**
 * javascript & config @ WC checkout page
 * 
 */

function ix_postcode_woocommerce_after_checkout_form($checkout) {
    
    $config = array();
    $config['billing_postcode'] = get_option( 'ix_postcode_billing_postcode' );
    $config['billing_housenr']  = get_option( 'ix_postcode_billing_housenr' );
    $config['billing_city']     = get_option( 'ix_postcode_billing_city' );
    $config['billing_street']   = get_option( 'ix_postcode_billing_street' );
    
    $config['shipping_postcode'] = get_option( 'ix_postcode_shipping_postcode' );
    $config['shipping_housenr']  = get_option( 'ix_postcode_shipping_housenr' );
    $config['shipping_city']     = get_option( 'ix_postcode_shipping_city' );
    $config['shipping_street']   = get_option( 'ix_postcode_shipping_street' );
    
    $config['postcode_api_endpoint'] = admin_url('admin-ajax.php') . '?action=lookup_postcode';
    
    
    print "<script>\n";
    print "  var ix_postcode_config = " . json_encode($config) . ";";
    print "</script>\n";
    
    print '<script src="'.plugins_url('js/script.js', __FILE__).'"></script>' . PHP_EOL;
    
}

add_action( 'woocommerce_after_checkout_form', 'ix_postcode_woocommerce_after_checkout_form', 10, 1 );


