/**
 * 
 */

(function($) {
	
	
	function handle_billing_postcode() {
		var inputPostcode = $('input[name=' + ix_postcode_config['billing_postcode'] + ']');
		var inputHousenr  = $('input[name=' + ix_postcode_config['billing_housenr'] + ']');
		
		inputPostcode.change(billing_changed);
		inputHousenr.change(billing_changed);
	}
	
	function billing_changed() {
		var inputPostcode = $('input[name=' + ix_postcode_config['billing_postcode'] + ']');
		var inputHousenr  = $('input[name=' + ix_postcode_config['billing_housenr'] + ']');
		
		lookupPostcode(inputPostcode.val(), inputHousenr.val(), function(response) {
			if (response.found) {
				var inputCity     = $('input[name=' + ix_postcode_config['billing_city'] + ']');
				var inputStreet   = $('input[name=' + ix_postcode_config['billing_street'] + ']');
				
				inputCity.val( response.city );
				inputStreet.val( response.street );
			}
		});
	}
	
	
	function handle_shipping_postcode() {
		var inputPostcode = $('input[name=' + ix_postcode_config['shipping_postcode'] + ']');
		var inputHousenr  = $('input[name=' + ix_postcode_config['shipping_housenr'] + ']');
		
		inputPostcode.change(shipping_changed);
		inputHousenr.change(shipping_changed);
	}

	function shipping_changed() {
		var inputPostcode = $('input[name=' + ix_postcode_config['shipping_postcode'] + ']');
		var inputHousenr  = $('input[name=' + ix_postcode_config['shipping_housenr'] + ']');
		
		lookupPostcode(inputPostcode.val(), inputHousenr.val(), function(response) {
			if (response.found) {
				var inputCity     = $('input[name=' + ix_postcode_config['shipping_city'] + ']');
				var inputStreet   = $('input[name=' + ix_postcode_config['shipping_street'] + ']');
				
				inputCity.val( response.city );
				inputStreet.val( response.street );
			}
		});
	}
	
	function lookupPostcode(postcode, housenr, callback) {
		$.ajax({
			type: 'POST',
			url: ix_postcode_config['postcode_api_endpoint'],
			data: {
				postcode: postcode,
				housenr: housenr
			},
			success: function(data, textStatus, xhr) {
				callback(data);
			}
		});
	}
	
	
	
	if ( ix_postcode_config['billing_postcode'] && ix_postcode_config['billing_housenr']
			&& ix_postcode_config['billing_city'] && ix_postcode_config['billing_street'] ) {
		
		handle_billing_postcode();
		
	}
	
	
	if ( ix_postcode_config['shipping_postcode'] && ix_postcode_config['shipping_housenr']
			&& ix_postcode_config['shipping_city'] && ix_postcode_config['shipping_street'] ) {
		
		handle_shipping_postcode()
		
	}
	
	
	
	
})(jQuery);

